Bug 228607 - [UPDATE PORT] devel/log4cxx: signed char issues
Summary: [UPDATE PORT] devel/log4cxx: signed char issues
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-30 14:08 UTC by waitman
Modified: 2018-12-08 23:57 UTC (History)
0 users

See Also:


Attachments
svn diff changed Makefile, patch files (10.11 KB, patch)
2018-05-30 14:08 UTC, waitman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description waitman 2018-05-30 14:08:20 UTC
Created attachment 193841 [details]
svn diff changed Makefile, patch files

build of port fails b/c it is cramming unsigned chars in signed char structure, should be fixed upstream but project appears abandoned. this patch allows the port to build and basically it's the same issue it's had for at least a decade. I think this probably relates to java not having unsigned chars (AFAIK) and log4cxx is a copy from the java library. (although i'm not a java person, i might be wrong about that)
Comment 1 Steve Wills freebsd_committer 2018-07-18 15:03:03 UTC
I'm a little confused, this seems to be building OK as is:

http://beefy12.nyi.freebsd.org/data/head-amd64-default/p474051_s336054/logs/log4cxx-0.10.0_16.log

Where are you seeing issues?
Comment 2 Tobias Kortkamp freebsd_committer 2018-11-06 08:50:59 UTC
(In reply to Steve Wills from comment #1)
 ports r473831 added -Wno-c++11-narrowing to CXXFLAGS in lieu of
patching any files.  I think this can be closed.